Skip navigation links
Unsupported Browser Detected – For best results, please update your browser.

Updates & Downloads


fleet 590 Keyboards (region file only) software version 2.30

as of August 28, 2014

Use WebUpdater to install this file.

(53 KB)

View system requirements

Notes:


Change History

Changes made from version 2.20 to 2.30:

System requirements

  1. IBM-compatible PC running Windows 2000 or later operating system and an available USB port.